Installer VMware Workstation sous Linux malgré une erreur de compilation

Avec mon école, nous possédons des licences d’utilisation de VMware. Ainsi, j’ai voulu l’installer sous Linux (sur Ubuntu et Xubuntu) afin de pouvoir travailler en virtualisation. Malheureusement, après l’installation complète de VMware (à l’aide du fichier .bundle), une erreur

VMware Kernel Module Updater
This fails on Virtual Network Device

m’empêchait de lancer le logiciel. Après des recherches, j’ai trouvé ce site qui fournit un patch afin de corriger ce bug. La version de VMware que je souhaitais installer était la 8.0.4. Or le patch contrôle la version de VMware et ne se dit compatible que jusqu’à la 8.0.2, ce qui n’est pas vrai mais il n’a pas encore était mis à jour. Il suffit pour le faire fonctionner avec cette version de modifier la ligne :

vmreqver=8.0.2

par

vmreqver=8.0.4

dans le fichier patch-modules_3.2.0.sh Une fois le patch appliqué, il suffit de l’exécuter pour corriger l’erreur de compilation de VMware et de pouvoir définitivement utiliser le logiciel.

Laisser un commentaire